curl --request GET \
--url https://api.example.com/traces/{trace_id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"project_id": "<string>",
"project_name": "<string>",
"spans": [
{
"otel_span_id": "<string>",
"parent_otel_span_id": "<string>",
"name": "<string>",
"kind": "<string>",
"start_time_ns": 123,
"end_time_ns": 123,
"duration_ms": 123,
"status_code": "<string>",
"status_description": "<string>",
"input_tokens": 123,
"output_tokens": 123,
"model_name": "<string>",
"tps": 123,
"attributes": {},
"events": [
"<unknown>"
]
}
],
"stats": {
"span_count": 123,
"total_tokens": 123,
"total_duration_ms": 123,
"error_count": 123,
"tool_calls": [
{
"name": "<string>",
"otel_span_id": "<string>",
"status": "<string>"
}
],
"models_used": [
"<string>"
]
},
"otel_trace_id": "<string>",
"service_name": "<string>",
"created_at": "<string>"
}Loads a single trace with spans, attributes, and related metadata for debugging or analysis.
curl --request GET \
--url https://api.example.com/traces/{trace_id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"project_id": "<string>",
"project_name": "<string>",
"spans": [
{
"otel_span_id": "<string>",
"parent_otel_span_id": "<string>",
"name": "<string>",
"kind": "<string>",
"start_time_ns": 123,
"end_time_ns": 123,
"duration_ms": 123,
"status_code": "<string>",
"status_description": "<string>",
"input_tokens": 123,
"output_tokens": 123,
"model_name": "<string>",
"tps": 123,
"attributes": {},
"events": [
"<unknown>"
]
}
],
"stats": {
"span_count": 123,
"total_tokens": 123,
"total_duration_ms": 123,
"error_count": 123,
"tool_calls": [
{
"name": "<string>",
"otel_span_id": "<string>",
"status": "<string>"
}
],
"models_used": [
"<string>"
]
},
"otel_trace_id": "<string>",
"service_name": "<string>",
"created_at": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Trace identifier.